# eric6.WebBrowser.Bookmarks.BookmarksImporters.BookmarksImporter

Module implementing a base class for the bookmarks importers.

### Global Attributes

None

### Classes

BookmarksImporter | Class implementing the base class for the bookmarks importers.

### Functions

None

## BookmarksImporter

Class implementing the base class for the bookmarks importers.

### Derived from

QObject

### Class Attributes

None

### Class Methods

None

### Methods

BookmarksImporter | Constructor
error | Public method to check for an error.
errorString | Public method to get the error description.
importedBookmarks | Public method to get the imported bookmarks.
open | Public method to open the bookmarks file.
setPath | Public method to set the path of the bookmarks file or directory.

### Static Methods

None

#### BookmarksImporter (Constructor)

BookmarksImporter(sourceId="", parent=None)

Constructor

sourceId
  source ID (string)
parent
  reference to the parent object (QObject)

#### BookmarksImporter.error

error()

Public method to check for an error.

Returns:
  flag indicating an error (boolean)

#### BookmarksImporter.errorString

errorString()

Public method to get the error description.

Returns:
  error description (string)

#### BookmarksImporter.importedBookmarks

importedBookmarks()

Public method to get the imported bookmarks.

It must return the imported bookmarks (BookmarkNode).

Raises NotImplementedError:
  raised to indicate this method must be implemented by a subclass

#### BookmarksImporter.open

open()

Public method to open the bookmarks file.

It must return a flag indicating success (boolean).

Raises NotImplementedError:
  raised to indicate this method must be implemented by a subclass

#### BookmarksImporter.setPath

setPath(path)

Public method to set the path of the bookmarks file or directory.

path
  bookmarks file or directory (string)

Raises NotImplementedError:
  raised to indicate this method must be implemented by a subclass

Up